import { Lock } from '@jfrog-pipelines/data-access-layer';
export declare type LockCreateAttributes = {
    lockTimeoutInMs?: number;
    name: string;
};
export declare const LockTimeoutInMs: number;
export declare const LockTimerIntervalInMs: number;
export declare class LockService {
    private readonly systemInstanceID;
    private readonly logger;
    private readonly lockDao;
    constructor(systemInstanceID: number);
    obtainLock(attribute: LockCreateAttributes): Promise<Lock | undefined>;
    releaseLock(lockName: string): Promise<void>;
    private isAlreadyLocked;
    private findByName;
    private delete;
    private setLockTimeoutAtInterval;
    private updateLockTimeout;
}
